
/*===========================================================================*
 * FILE:                      C D E V _ D L L . C
 *===========================================================================*
 *             
 *   COPYRIGHT 2004 - 2019 ABACO SYSTEMS, INC.  ALL RIGHTS RESERVED.
 *  
 *   THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED
 *   ONLY IN ACCORDANCE WITH THE TERMS OF SUCH LICENSE AND WITH THE INCLUSION
 *   OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER COPIES THEREOF
 *   MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON.
 *   NO TITLE TO AND OWNERSHIP OF THE SOFTWARE IS HEREBY TRANSFERRED.
 *  
 *   THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE
 *   AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ABACO SYSTEMS, INC. 
 *
 *===========================================================================*
 *
 * FUNCTION:    Library Initialization Routine.
 *
 * PARAMETERS:  various, see below
 *
 * RETURN VAL:  various, see below
 *
 * DESCRIPTION: The following routines are contained herein:
 *
 *      LibMain - Initialization routine for this library
 *      WEP     - Finalization routine for this library
 * 
 *===========================================================================*
 *
 * HISTORY:
 * 
 * Date      Initials  Comments
 * --------  --------  ------------------------------------------------
 * 10/26/01    BDW     Created.
 *
 *==========================================================================*/
#include <windows.h>
                       
#ifdef WIN32
   #define DLL_CALL_TYPE CALLBACK  
   #define DLL_ARG_TYPE LPARAM
   #define WORD_TYPE WPARAM
#else
   #define DLL_CALL_TYPE FAR PASCAL 
   #define DLL_ARG_TYPE CEI_INT32
   #define WORD_TYPE WORD
#endif
                
/*---------------------------------------------------------------------------*
 *  Library initialization routine
 *---------------------------------------------------------------------------*/
                            

DLL_ARG_TYPE DLL_CALL_TYPE LibMain (HANDLE hInstance, WORD_TYPE wDataSeg,
                                    WORD_TYPE wHeapSize, LPSTR lpCmdLine) 
{
     return 1;
}
                
/*---------------------------------------------------------------------------* 
 *  Library finalization routine
 *---------------------------------------------------------------------------*/
                    

DLL_ARG_TYPE DLL_CALL_TYPE WEP (DLL_ARG_TYPE nParam) 
{
     return 1;
}
             